﻿<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="GetToken();">Get Token</button></h3>
                <p id="token"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="VerifyToken();">Verify Token</button></h3>
                <p id="status"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="GetBalance();">Get balance</button></h3>
                <p id="balance"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="AddBeneficiary();">Add beneficiary</button></h3>
                <p id="beneficiary"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="GetBeneficiaryDetails();">Get beneficiary</button></h3>
                <p id="GetBeneficiaryDetails"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <h3><button type="button" class="btn btn-success" onclick="RemoveBeneficiary();">Remove beneficiary</button></h3>
                <p id="RemoveBeneficiary"></p>
            </div>
        </div>

        
    </div>

</body>
</html>

<script type="text/javascript">
    //prod
    //var url = "https://payout-api.cashfree.com/"
    //var Client_Secret = "cd8e86a108c109e91e030d3b5db579b07a1b96b4"
    //var Client_Id = "CF53123BSCI7KGYPES2IAI"


    //test
    var url = "https://payout-gamma.cashfree.com/"
    var Client_Secret = "0a452cd00149fd05a79d8c40c6b306626387fa11"
    var Client_Id = "CF16329E4TJCEWFR3KI2EA"

    var token;
    $(function () {
    })
    function GetToken() {
        $.ajax({
            type: "POST",
            url: url + "payout/v1/authorize",
            crossDomain: true,
            headers: {
                "X-Client-Secret": Client_Secret,
                "X-Client-Id": Client_Id
            },
            data: null,
            success: function (r) {
                token = r.status == "ERROR" ? null : r.data.token
                $("#token").text(r.message)
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
    function VerifyToken() {
        $.ajax({
            type: "POST",
            url: url + "payout/v1/verifyToken",
            crossDomain: true,
            headers: {
                "Authorization": "Bearer " + token,
            },
            data: null,
            success: function (r) {
                $("#status").text(r.message)
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
    function GetBalance() {
        $.ajax({
            type: "GET",
            url: url + "payout/v1/getBalance",
            //crossDomain: true,
            headers: {
                "Authorization": "Bearer " + token,
            },
            //data: null,
            success: function (r) {
                $("#balance").text(r.data.availableBalance)
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
    function AddBeneficiary() {
        $.ajax({
            type: "POST",
            url: url + "payout/v1/addBeneficiary",
            headers: {
                "Authorization": "Bearer " + token,
                "Content-Type": "application/json"
            },
            data: JSON.stringify({
                "beneId": "1",
                "name": "Vishal kumar",
                "email": "vishal.kumar061@gmail.com",
                "phone": "9818567684",
                "bankAccount": "0606010196246",
                "ifsc": "utbi0beg464",
                "vpa": "9818567684@ybl",
                "cardNo": "",
                "address1": "power house road",
                "city": "begusarai",
                "state": "bihar",
                "pincode": "851101",
            }),
            success: function (r) {
                $("#beneficiary").text(r.message)
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
    function GetBeneficiaryDetails() {
        $.ajax({
            type: "GET",
            url: url + "payout/v1/getBeneficiary/1",
            headers: {
                "Authorization": "Bearer " + token,
                "Content-Type": "application/json"
            },
            data: null,
            success: function (r) {
                $("#GetBeneficiaryDetails").text(JSON.stringify(r.data))
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
    function RemoveBeneficiary() {
        $.ajax({
            type: "POST",
            url: url + "payout/v1/removeBeneficiary",
            headers: {
                "Authorization": "Bearer " + token,
                "Content-Type": "application/json"
            },
            data: JSON.stringify({
                "beneId": "1"
            }),
            success: function (r) {
                $("#RemoveBeneficiary").text(r.message)
            },
            faliure: function () {
                alert("An error occured. Please reload.");
            }
        });
    }
</script>